INamesArg Struct Reference

## Data Fields

int(* | func )(const UChar *, const UChar *, int, int *, regex_t *, void *)
regex_t * | reg
void * | arg
int | ret
OnigEncoding | enc

## Detailed Description

Definition at line 506 of file regparse.c.

## Field Documentation

void* INamesArg::arg

Definition at line 509 of file regparse.c.

Referenced by i_names(), and onig_foreach_name().

OnigEncoding INamesArg::enc

Definition at line 511 of file regparse.c.

Referenced by onig_foreach_name().

int(* INamesArg::func)(const UChar *, const UChar *, int, int *, regex_t *, void *)

Definition at line 507 of file regparse.c.

Referenced by i_names(), and onig_foreach_name().

regex_t* INamesArg::reg

Definition at line 508 of file regparse.c.

Referenced by i_names(), and onig_foreach_name().

int INamesArg::ret

Definition at line 510 of file regparse.c.

Referenced by i_names(), and onig_foreach_name().

The documentation for this struct was generated from the following file:

- regparse.c